Skip to main content
PUT
/
documents
/
{id}
Update Document
curl --request PUT \
  --url https://tms.universal.rollout.com/api/documents/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "category": "<string>",
  "status": "<string>",
  "type": "<string>",
  "fileUrl": "<string>",
  "fileSize": 123,
  "mimeType": "<string>",
  "fileSignature": "<string>",
  "folderId": "<string>",
  "created": "<string>",
  "updated": "<string>",
  "receivedDate": "<string>",
  "requiresSignature": true,
  "isSigned": true,
  "signedBy": [
    {}
  ],
  "signedDate": "<string>",
  "isActive": true,
  "loanId": "<string>",
  "borrowerId": "<string>",
  "propertyId": "<string>",
  "transactionId": "<string>",
  "userId": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "category": "<string>",
  "status": "<string>",
  "type": "<string>",
  "fileUrl": "<string>",
  "fileSize": 123,
  "mimeType": "<string>",
  "fileSignature": "<string>",
  "folderId": "<string>",
  "created": "<string>",
  "updated": "<string>",
  "receivedDate": "<string>",
  "requiresSignature": true,
  "isSigned": true,
  "signedBy": [
    {}
  ],
  "signedDate": "<string>",
  "isActive": true,
  "loanId": "<string>",
  "borrowerId": "<string>",
  "propertyId": "<string>",
  "transactionId": "<string>",
  "userId": "<string>",
  "originalIds": {},
  "original": {},
  "rolloutUpdated": "<string>"
}

Path Parameters

id
string
required

Body

application/json
name
string
category
string
status
string
type
string
fileUrl
string
fileSize
number
mimeType
string
fileSignature
string
folderId
string
created
string
updated
string
receivedDate
string
requiresSignature
boolean
isSigned
boolean
signedBy
object[]
signedDate
string
isActive
boolean
loanId
string
borrowerId
string
propertyId
string
transactionId
string
userId
string

Response

OK

id
string
required
name
string
required
category
string
required
status
string
required
type
string
required
fileUrl
string
required
fileSize
number
required
mimeType
string
required
fileSignature
string
required
folderId
string
required
created
string
required
updated
string
required
receivedDate
string
required
requiresSignature
boolean
required
isSigned
boolean
required
signedBy
object[]
required
signedDate
string
required
isActive
boolean
required
loanId
string
required
borrowerId
string
required
propertyId
string
required
transactionId
string
required
userId
string
required
originalIds
object
required
original
object
required
rolloutUpdated
string
required